#pragma once

#include "Fiber.hpp"
#include "MemoryManager.hpp"
#include "Runtime.hpp"

class FiberManager : protected MemoryManager<Fiber, 128, 64> {
 private:
	void* getFiberMemory();

	void putFiberMemory(Fiber* fiber);

 public:
	FiberManager(Runtime& runtime);
};
