#pragma once

#include "Dispatcher.hpp"
#include "emper-config.h"

class LawsStrategy;

class LawsDispatcher : public Dispatcher {
 private:
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wattributes"
	LawsStrategy& lawsStrategy
#ifndef EMPER_STATS
			ATTR_UNUSED
#endif
			;
#pragma GCC diagnostic pop

 public:
	LawsDispatcher(Runtime& runtime, LawsStrategy& lawsStrategy)
			: Dispatcher(runtime), lawsStrategy(lawsStrategy) {}

	void dispatchLoop() override;
};
