#include "Scheduler.hpp"

#include "Runtime.hpp"

Scheduler::Scheduler(Runtime& runtime) : runtime(runtime) {}

void Scheduler::addNewWorkerHook(std::function<void(void)> hook) { runtime.addNewWorkerHook(hook); }

void Scheduler::notifyRuntimeAboutNewWork() { runtime.notifyAboutNewWork(); }
