#include "Semaphore.hpp"

using namespace emper;

void Semaphore::print() {
	unsigned int count = this->count;
	unsigned int waiterListSize;
	{
		const std::lock_guard<std::mutex> lock(mutex);
		waiterListSize = waiterList.size();
	}

	std::cout << "Semaphore"
						<< " count=" << count << " waiterListSize=" << waiterListSize << std::endl;
}
